Subject: Re: BUG: All network processes hang (brcmsmac/wpa_supplicant)

From: Nico Schottelius <[email-masked]>
Date: Wed, 19 Oct 2011 23:42:50 +0200

Arend van Spriel [Wed, Oct 19, 2011 at 06:48:17PM +0200]:
> On 10/19/2011 04:55 PM, Nico Schottelius wrote:
> commit bee709ab1d390afe69e4407bc86bb706c6fb2965
> Merge: ad1c761 1f2c7e9
> Author: Nico Schottelius <[email-masked]>
> Date:   Tue Oct 18 00:04:05 2011 +0200
> 
>     Merge branch 'fix-edp-vdd-power' of ../keithp/linux
> 
> As it drops receive packets it may be your problem. Is your AP on 5GHz?

I've to confess I've no clue, but I guess the answer is "some of them":
Here in ETH Zurich (www.ethz.ch) I'm in an environment with a lot of
surrounding APs (probably 7 or more seen with the same ssid).

> From 7d14bd6cbfbf26369c5958e56a468fd8429841d7 Mon Sep 17 00:00:00 2001
> From: Arend van Spriel <[email-masked]>
> Date: Wed, 19 Oct 2011 18:42:45 +0200
> Subject: [PATCH] staging: brcm80211: fix for rate index in receive status

Applied, recompiling, will test tomorrow.

I'll soon (Friday) leave the environment permanently,
thus testing will not be easily possible anymore.

If this issue is 5Ghz related only, can I somehow trigger it without an AP
running in that band / i.e. make the card try to use the 5 Ghz band although
there is no ap nearby?

Cheers,

Nico

-- 
PGP key: 7ED9 F7D3 6B10 81D7 0EC5  5C09 D7DC C8E4 3187 7DF0